﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CSSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		// ディレクトリーの参照
		private void button1_Click(object sender, EventArgs e)
		{
			using (FolderBrowserDialog dlg = new FolderBrowserDialog())
			{
				if (DialogResult.Cancel == dlg.ShowDialog(this))
				{
					return;
				}
				this.textBox1.Text = dlg.SelectedPath;
			}
		}

		// ディレクトリー内のファイルを表示
		private void button3_Click(object sender, EventArgs e)
		{
			this.fileListBox1.DirectoryName = this.textBox1.Text;
		}

		// ファイルの参照
		private void button2_Click(object sender, EventArgs e)
		{
			using (OpenFileDialog dlg = new OpenFileDialog())
			{
				if (DialogResult.Cancel == dlg.ShowDialog(this))
				{
					return;
				}
				this.textBox2.Text = dlg.FileName;
			}
		}

		// ファイルを追加
		private void button4_Click(object sender, EventArgs e)
		{
			this.fileListBox1.Add(this.textBox2.Text);
		}

		// 表示形式の設定
		private void radioButton1_CheckedChanged(object sender, EventArgs e)
		{
			if (this.radioButton1.Checked)
			{
				this.fileListBox1.ViewStyle = Man.Windows.Forms.FileListBoxViewStyle.List;
			}
			else
			{
				this.fileListBox1.ViewStyle = Man.Windows.Forms.FileListBoxViewStyle.Icon;
			}
		}

		// チェックボックスの設定
		private void radioButton3_CheckedChanged(object sender, EventArgs e)
		{
			this.fileListBox1.CheckBoxes = !this.radioButton3.Checked;
		}

	}
}
